org.springframework.data.repository.config

## Class DefaultRepositoryBaseClass

- java.lang.Object
- - org.springframework.data.repository.config.DefaultRepositoryBaseClass

    public final class DefaultRepositoryBaseClass
    extends Object

Placeholder class to be used in `@Enable` annotation's `repositoryBaseClass` attribute. The configuration evaluation infrastructure can use this type to find out no special repository base class was configured and apply defaults.

Since:
  1.11
Author:
  Oliver Gierke

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`